### Method

# Gio FileAttributeMatcher to_string

since: 2.32

#### Declaration

    char*
    g_file_attribute_matcher_to_string (
      GFileAttributeMatcher* matcher
    )

#### Description

Prints what the matcher is matching against. The format will be equal to the format passed to g_file_attribute_matcher_new(). The output however, might not be identical, as the matcher may decide to use a different order or omit needless parts.

Available since: 2.32

#### Return value

Type: `char*`

A string describing the attributes the matcher matches against or `NULL` if `matcher` was `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.